space_basic< T, distributed >
Inheritance diagram for space_basic< T, distributed >:

## Public Types

typedef space_rep< T, distributed > | rep
typedef smart_pointer< rep > | base
typedef rep::size_type | size_type
typedef rep::valued_type | valued_type
Public Types inherited from smart_pointer< space_rep< T, distributed > >
typedef space_rep< T, distributed > | handled_type
typedef base::internal | internal

## Public Member Functions

| space_basic (const geo_basic< T, distributed > &omega=(geo_basic< T, distributed >()), std::string approx="", std::string prod_valued="scalar")
| space_basic (const geo_basic< T, distributed > &omega, const basis_basic< T > &b)
| space_basic (const space_mult_list< T, distributed > &)
| space_basic (const space_constitution< T, distributed > &constit)
void | block (std::string dom_name)
void | unblock (std::string dom_name)
void | block (const domain_indirect_basic< distributed > &dom)
void | unblock (const domain_indirect_basic< distributed > &dom)
void | block_n (std::string dom_name)
void | unblock_n (std::string dom_name)
void | block_n (const domain_indirect_basic< distributed > &dom)
void | unblock_n (const domain_indirect_basic< distributed > &dom)
const distributor & | ownership () const
const communicator & | comm () const
size_type | ndof () const
size_type | dis_ndof () const
const geo_basic< T, distributed > & | get_geo () const
const basis_basic< T > & | get_basis () const
size_type | size () const
valued_type | valued_tag () const
const std::string & | valued () const
space_component< T, distributed > | operator[] (size_type i_comp)
space_component_const< T, distributed > | operator[] (size_type i_comp) const
const space_constitution< T, distributed > & | get_constitution () const
size_type | degree () const
std::string | get_approx () const
std::string | name () const
void | dis_idof (const geo_element &K, std::vector< size_type > &dis_idof) const
const distributor & | iu_ownership () const
const distributor & | ib_ownership () const
bool | is_blocked (size_type idof) const
size_type | dis_iub (size_type idof) const
bool | dis_is_blocked (size_type dis_idof) const
size_type | dis_idof2dis_iub (size_type dis_idof) const
const distributor & | ios_ownership () const
size_type | idof2ios_dis_idof (size_type idof) const
size_type | ios_idof2dis_idof (size_type ios_idof) const
const point_basic< T > & | xdof (size_type idof) const
const disarray< point_basic< T >, distributed > & | get_xdofs () const
template<class Function >
T | momentum (const Function &f, size_type idof) const
template<class Function >
point_basic< T > | vector_momentum (const Function &f, size_type idof) const
template<class Function >
tensor_basic< T > | tensor_momentum (const Function &f, size_type idof) const
disarray< size_type, distributed > | build_indirect_array (const space_basic< T, distributed > &Wh, const std::string &dom_name) const
disarray< size_type, distributed > | build_indirect_array (const space_basic< T, distributed > &Wh, const geo_basic< T, distributed > &bgd_gamma) const
const std::set< size_type > & | ext_iu_set () const
const std::set< size_type > & | ext_ib_set () const
bool | operator== (const space_basic< T, distributed > &V2) const
bool | operator!= (const space_basic< T, distributed > &V2) const
Public Member Functions inherited from smart_pointer< space_rep< T, distributed > >
| smart_pointer (space_rep< T, distributed > *p=0)
| smart_pointer (void *count, internal i)
| smart_pointer (const smart_pointer< space_rep< T, distributed > > &x)
smart_pointer< space_rep< T, distributed > > & | operator= (const smart_pointer< space_rep< T, distributed > > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< T, C >
| smart_pointer_base (T *p=0)
| smart_pointer_base (const smart_pointer_base< T, C > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< T, C > & | operator= (const smart_pointer_base< T, C > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
T * | pointer ()
T & | data ()
T * | operator-> ()
T & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Static Public Member Functions

static space_basic< T, distributed > | real ()

## Detailed Description

### template<class T>
class rheolef::space_basic< T, distributed >

Definition at line 757 of file space.h.

## Member Typedef Documentation

## rep

typedef space_rep<T,distributed> rep

Definition at line 762 of file space.h.

## base

typedef smart_pointer<rep> base

Definition at line 763 of file space.h.

## size_type

typedef rep::size_type size_type

Definition at line 764 of file space.h.

## valued_type

typedef rep::valued_type valued_type

Definition at line 765 of file space.h.

## Constructor & Destructor Documentation

## space_basic() [1/4]

space_basic | ( | const geo_basic< T, distributed > & | omega = `(geo_basic<T,distributed>())`,
|  | std::string | approx = `""`,
|  | std::string | prod_valued = `"scalar"`
| ) |  |

Definition at line 854 of file space.h.

## space_basic() [2/4]

space_basic | ( | const geo_basic< T, distributed > & | omega,
|  | const basis_basic< T > & | b
| ) |  |

Definition at line 863 of file space.h.

## space_basic() [3/4]

space_basic | ( | const space_mult_list< T, distributed > & | expr | ) |

Definition at line 878 of file space.h.

## space_basic() [4/4]

space_basic | ( | const space_constitution< T, distributed > & | constit | ) |

Definition at line 871 of file space.h.

## Member Function Documentation

## real()

static space_basic<T,distributed> real | ( |  | ) |

static

## block() [1/2]

void block | ( | std::string | dom_name | ) |

Definition at line 1060 of file space.h.

## unblock() [1/2]

void unblock | ( | std::string | dom_name | ) |

Definition at line 1067 of file space.h.

## block() [2/2]

void block | ( | const domain_indirect_basic< distributed > & | dom | ) |

Definition at line 1074 of file space.h.

## unblock() [2/2]

void unblock | ( | const domain_indirect_basic< distributed > & | dom | ) |

Definition at line 1081 of file space.h.

## block_n() [1/2]

void block_n | ( | std::string | dom_name | ) |

Definition at line 1088 of file space.h.

## unblock_n() [1/2]

void unblock_n | ( | std::string | dom_name | ) |

Definition at line 1095 of file space.h.

## block_n() [2/2]

void block_n | ( | const domain_indirect_basic< distributed > & | dom | ) |

Definition at line 1102 of file space.h.

## unblock_n() [2/2]

void unblock_n | ( | const domain_indirect_basic< distributed > & | dom | ) |

Definition at line 1109 of file space.h.

## ownership()

const distributor & ownership

Definition at line 885 of file space.h.

## comm()

const communicator & comm

Definition at line 899 of file space.h.

## ndof()

space_basic< T, distributed >::size_type ndof

Definition at line 906 of file space.h.

## dis_ndof()

space_basic< T, distributed >::size_type dis_ndof

Definition at line 913 of file space.h.

## get_geo()

const geo_basic< T, distributed > & get_geo

Definition at line 920 of file space.h.

## get_basis()

const basis_basic< T > & get_basis

Definition at line 927 of file space.h.

## size()

space_basic< T, distributed >::size_type size

Definition at line 941 of file space.h.

## valued_tag()

space_basic< T, distributed >::valued_type valued_tag

Definition at line 955 of file space.h.

## valued()

const std::string & valued

Definition at line 948 of file space.h.

## operator[]() [1/2]

space_component< T, distributed > operator[] | ( | size_type | i_comp | ) |

Definition at line 962 of file space.h.

## operator[]() [2/2]

space_component_const< T, distributed > operator[] | ( | size_type | i_comp | ) | const

Definition at line 969 of file space.h.

## get_constitution()

const space_constitution< T, distributed > & get_constitution

Definition at line 934 of file space.h.

## degree()

space_basic< T, distributed >::size_type degree

Definition at line 976 of file space.h.

## get_approx()

std::string get_approx

Definition at line 983 of file space.h.

## name()

std::string name

Definition at line 990 of file space.h.

## dis_idof()

void dis_idof | ( | const geo_element & | K,
|  | std::vector< size_type > & | dis_idof
| ) |  | const

Definition at line 997 of file space.h.

## iu_ownership()

const distributor & iu_ownership

Definition at line 1018 of file space.h.

## ib_ownership()

const distributor & ib_ownership

Definition at line 1025 of file space.h.

## is_blocked()

bool is_blocked | ( | size_type | idof | ) | const

Definition at line 1032 of file space.h.

## dis_iub()

space_basic< T, distributed >::size_type dis_iub | ( | size_type | idof | ) | const

Definition at line 1039 of file space.h.

## dis_is_blocked()

bool dis_is_blocked | ( | size_type | dis_idof | ) | const

Definition at line 1046 of file space.h.

## dis_idof2dis_iub()

space_basic< T, distributed >::size_type dis_idof2dis_iub | ( | size_type | dis_idof | ) | const

Definition at line 1053 of file space.h.

## ios_ownership()

const distributor & ios_ownership

Definition at line 892 of file space.h.

## idof2ios_dis_idof()

space_basic< T, distributed >::size_type idof2ios_dis_idof | ( | size_type | idof | ) | const

Definition at line 1004 of file space.h.

## ios_idof2dis_idof()

space_basic< T, distributed >::size_type ios_idof2dis_idof | ( | size_type | ios_idof | ) | const

Definition at line 1011 of file space.h.

## xdof()

const point_basic< T > & xdof | ( | size_type | idof | ) | const

Definition at line 1116 of file space.h.

## get_xdofs()

const disarray< point_basic< T >, distributed > & get_xdofs

Definition at line 1123 of file space.h.

## momentum()

T momentum | ( | const Function & | f,
|  | size_type | idof
| ) |  | const

Definition at line 1131 of file space.h.

## vector_momentum()

point_basic< T > vector_momentum | ( | const Function & | f,
|  | size_type | idof
| ) |  | const

Definition at line 1139 of file space.h.

## tensor_momentum()

tensor_basic< T > tensor_momentum | ( | const Function & | f,
|  | size_type | idof
| ) |  | const

Definition at line 1146 of file space.h.

## build_indirect_array() [1/2]

disarray<size_type, distributed> build_indirect_array | ( | const space_basic< T, distributed > & | Wh,
|  | const std::string & | dom_name
| ) |  | const

## build_indirect_array() [2/2]

disarray<size_type, distributed> build_indirect_array | ( | const space_basic< T, distributed > & | Wh,
|  | const geo_basic< T, distributed > & | bgd_gamma
| ) |  | const

## ext_iu_set()

const std::set<size_type>& ext_iu_set | ( |  | ) | const

Definition at line 840 of file space.h.

## ext_ib_set()

const std::set<size_type>& ext_ib_set | ( |  | ) | const

Definition at line 841 of file space.h.

## operator==()

bool operator== | ( | const space_basic< T, distributed > & | V2 | ) | const

Definition at line 845 of file space.h.

## operator!=()

bool operator!= | ( | const space_basic< T, distributed > & | V2 | ) | const

Definition at line 846 of file space.h.

The documentation for this class was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/space.h